# this is for options not managed bysaturnConfig, added by the user
# again this is an example template not meant to be used
{ pkgs, ... } :
#  .              +   .                .   . .     .  .
#                    .                    .       .     *
#   .       *                        . . . .  .   .  + .
#                              .   .  +  . . .
# .                              .  .   .    .    . .
#                              .     .     . +.    +  .
#                             .       .   . .
#         . .                 .    * . . .  .  +   .
#            +      .           .   .      +
#                             .       . +  .+. ..  *
# .    　　。　　　•　 　ﾟ　　。 　　.           +
# 　　.　    　　　.　　　　。　　 。　.  . .   .  .
# .　 。　　　　           ඞ 。 . 　 •   .  .    +  +
# 　　ﾟ　          Hive was an Impostor   +  .
# 　'　　           2 Impostors remain  +  .+.  　　　•　
# 　ﾟ　　　.　　. ,　　　.　 .   ,             +　　　.　
#   .                      .     . + .  . . +  .+.    .
#            .      .    .     . .   . . .        ! /
#       *             .    . .  +    .  .       - O -
#           .     .    .  +   . .  *  .       . / |
#                . + .  .  .  .. +  .
# .      .  .  .  *   .  *  . +..  .            *
#  .      .   . .   .   .   . .  +   .    .          +
{  
	boot.binfmt.emulatedSystems = [ "aarch64-linux" "riscv64-linux" ];
	virtualisation = {
		waydroid.enable = true;
		podman = {
			enable = true;
			dockerCompat = true;
			defaultNetwork.settings.dns_enabled = true;
		};
		libvirtd = {
			enable = true;
		};
		spiceUSBRedirection.enable = true;
	};
	programs.steam.enable = true;
	programs.darling.enable = true;

	environment.systemPackages = with pkgs; [
		heimdall-gui
		protontricks
	];
	
	networking.firewall.enable = false;
	networking.firewall.allowedTCPPortRanges = [{from = 1714; to = 1764;}];
	networking.firewall.allowedUDPPortRanges = [{from = 1714; to = 1764;}];
	services.cockpit.enable = true;
	services.syncthing = {
		enable = true;
		user = "hive";
		configDir = "/home/hive/.config/syncthing";
	};
	services.openssh.enable = true;
}

